Bug 174456 - SMP kernel panic when starting X server
SMP kernel panic when starting X server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 03:14 EST by Lei Ming
Modified: 2013-03-06 00:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (2.79 KB, text/plain)
2005-11-29 03:14 EST, Lei Ming
no flags Details

  None (edit)
Description Lei Ming 2005-11-29 03:14:44 EST
Description of problem:

The machine is a DELL GX280 desktop, with a 3GHz Pentium 4 processor,
HyperThread enabled. The video card is an integrated i810 class card.

The 2.6.9-22.ELsmp kernel will panic when starting X server. The previous
2.6.9-11.ELsmp kernel and the 2.6.9-22.EL UP kernel have no this problem.

Version-Release number of selected component (if applicable):

kernel-2.6.9-22.ELsmp
xorg-x11-6.8.2-1.EL.13.20

How reproducible:

Always.

Steps to Reproduce:
1. Boot the 2.6.9-22.ELsmp kernel into single user mode.
2. Run /usr/X11R6/bin/X
3. Wait for about ten seconds.
  
Actual results:

kernel panic with this stack:

change_page_attr+0x2d/0x50
unmap_page_from_agp+0x17/0x24
agp_generic_destroy_page+0x17/0x24
agp_free_memory+0x62/0x82
agp_remove_all_memory+0x12/0x16
agp_remove_controller+0x2e/0x5e
agp_release+0x61/0x9e
__fput+0x55/0x100
filp_close+0x59/0x5f
put_files_struct+0x57/0xc0
do_exit+0x227/0x3de
sys_exit_group+0x0/0xd
syscall_call+0x7/0xb
__lock_text_end+0x11a/0x100f

Code:

89 F0 09 DA 89 54 24 44 ...

Expected results:

The X server starts normally without kernel panic.

Additional info:

lspci:

00:00.0 Host bridge: Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I/O
Controller (rev 04)
00:01.0 PCI bridge: Intel Corporation 915G/P/GV/GL/PL/910GL PCI Express Root
Port (rev 04)
00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/910GL Express
Chipset Family Graphics Controller (rev 04)
00:02.1 Display controller: Intel Corporation 82915G Express Chipset Family
Graphics Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 2 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface
Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE
Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller
(rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus
Controller (rev 03)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)
Comment 1 Lei Ming 2005-11-29 03:14:44 EST
Created attachment 121571 [details]
xorg.conf
Comment 2 Lei Ming 2005-11-29 03:23:13 EST
If boot this 2.6.99-22.EL kernel into the normal runlevel (5), the system will
freeze at starting X. The screen will remain black.
Comment 3 Jason Baron 2005-11-29 10:57:27 EST
ok. yes this is knwown issue. Can you please try 22.0.1, released shortly after
22. thanks.
Comment 5 Jiri Pallich 2012-06-20 12:01:03 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.